#include <fcntl.h>	// open(), O_WRONLY
#include <sys/ioctl.h>	// ioctl()
#include <linux/kd.h>	// KDMKTONE
#include <unistd.h>	// usleep(), close()

#define DURATION 200	// Sound duration in msec

int main(void) {
  int fd, ret, val, i;

  fd = open("/dev/console", O_WRONLY);
  for (i = 1; i < 11; i++) {
    val = (DURATION << 16) | (1193180 / (i * 100));
    ret = ioctl(fd, KDMKTONE, val);
    usleep(200000);	// 200msec wait
   }
  close(fd);
  return 0;
 }
