#include <fcntl.h>	// open(), O_WRONLY
#include <sys/ioctl.h>	// ioctl()
#include <linux/kd.h>	// KIOCSOUND
#include <unistd.h>	// usleep(), close()

int main(void) {
  int fd, ret, val, i;

  fd = open("/dev/console", O_WRONLY);
  for (i = 1; i < 11; i++) {
    val = 1193180 / (i * 100);
    ret = ioctl(fd, KIOCSOUND, val);		// Turn on sound
    usleep(200000);	// 200msec wait
   }
  ret = ioctl(fd, KIOCSOUND, 0);		// Turn off sound
  close(fd);
  return 0;
 }
